[darcs-users] [patch360] Solve issue1923: bad source warning mechanism warns ab...

Eric Kow bugs at darcs.net
Fri Sep 17 13:12:49 UTC 2010


Eric Kow <kowey at darcs.net> added the comment:

Hi Adolfo,

Just a follow-up on this patch.  It turns out that my issue1599 test 
failures were due to stupid configuration on my part.

I'm behind a proxy server.  One day, I stupidly emptied out my 
"no_proxy" environment variable to work around this gnome-terminal-
related bug: https://bugs.launchpad.net/ubuntu/lucid/+source/gnome-
terminal/+bug/534225

So the failure here was caused by the request to localhost going through 
my University's proxy server.  Setting no_proxy to include localhost 
fixed this.  There was also a long timeout on the 10.1.2.3 test.  Since 
it seemed a bit weird to ask people to arbitrarily put 10.1.2.3 in their 
no_proxy settings, I modified the issue1599 test to skip 10.1.2.3 if 
http_proxy was set.

OK!  Are you still working on testing issue1923, or would you like us to 
take over?  If you could amend your patch as requested in msg12469, that 
would be helpful; but if you don't manage to do so soon, I'll just do it 
myself :-)

----------
assignedto:  -> abuiles

__________________________________
Darcs bug tracker <bugs at darcs.net>
<http://bugs.darcs.net/patch360>
__________________________________


More information about the darcs-users mailing list